Back to Bilibili
TikHub·Bilibili
Bilibili Web: Get general search data
/api/v1/bilibili/web/fetch_general_searchsync$0.0015 / callGet general search data (TikHub · Bilibili Web)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| keyword | string | yes | Search keyword |
| order | string | yes | Order method |
| page | integer | yes | Page number |
| page_size | integer | yes | Number per page |
| duration | integer | — | Duration filter (default 0) |
| pubtime_begin_s | integer | — | Start date (10-digit timestamp) (default 0) |
| pubtime_end_s | integer | — | End date (10-digit timestamp) (default 0) |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/bilibili/web/fetch_general_search","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.